goalLightFire.mSteps = 
{
	{ action = "click", object = objectIoCampfire, selection = objectHoLighter },
}
-- ----------------------------------------------------------------------------
function goalLightFire:onStarted()
    
    objectIoCampfire:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalLightFire:onUseObject(selectedObject, targetObject, targetProps)
	
	if (selectedObject == objectHoLighter and targetObject == objectIoCampfire) then
		self:achieved()

		objectBackgroundWoods1Left:ss(kDone)
		objectBackgroundWoods1Center:ss(kDone)
		objectBackgroundWoods1Right:ss(kDone)
		
		objectBackgroundWoods1LeftDark:ss(kIdle)
		objectBackgroundWoods1CenterDark:ss(kIdle)
		objectBackgroundWoods1RightDark:ss(kIdle)
		
		-- woods1
		objectHoPanel01Redlights:ss(kDone)
		objectHoPanel01RedlightsPocket:ss(kDone)
		objectPoiTireFlat:ss(kActive)
		objectPoiEngine:ss(kDone)
		objectPoiEngineOpen:ss(kActive)
		objectPoiBattery:ss(kActive)
		objectHoodOpen:ss(kActive)
		
		-- lakeside
		-- it's burning, so show it in the background as well
		objectCarLightsOn:ss(kDone)	
		objectCarLightsOnFront:ss(kDone)	
		objectFireOn:ss(kIdle)	
		objectFireOnFront:ss(kIdle)	
		-- the poi should no longer be clickable
		objectPoiFirepit:ss(kDone)
		objectPoiFirepitWood:ss(kDone)
		objectPoiFirepitKindling:ss(kDone)
		
		layoutLakeside.mEffectCampfire:play()
		layoutLakeside:animFireOn()

		play(movieSettings[kMovieReturn])

		layoutWoods1:show()
		layoutWoods1:animFireOn()
		
	end
	
end
